Subject: Re: bug#57962: 29.0.50; Odd font choices

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 16 Oct 2022 14:19:03 +0200

Eli Zaretskii <[email-masked]> writes:

> When we select a suitable font, we generally avoid opening a font,
> because that's expensive.  So looking at the metrics is not possible,
> unless we actually open each font.

Right...  but after opening a font, we could determine that it was
unsuitable at that point, and then choose another.  That way the happy
path would still be fast.

> But I don't think I understand what is going on here: these two fonts
> are of the same size -- 48 -- so how come the glyphs have different
> sizes?  And how different are they?  Can you look at the character
> metrics inside gui_produce_glyphs and tell what we get from each font?

I haven't, but if I emacs -geometry 80x10 -fn "DejaVu Sans Mono-15" -Q,
I get an Emacs frame that is 2508x762 pixels.  With -fn "Ubuntu Mono-15"
I get a frame that's 2128x662 pixels, so DejaVu Sans Mono is about 18%
larger than Ubuntu Mono, which is noticeable, and makes mixing the two
fonts non-ideal.